summaryrefslogtreecommitdiff
path: root/sys-cluster
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-11 03:04:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-11 03:04:37 -0500
commitba90b749802640220d8dabc00ab63881741a230e (patch)
tree181a6ca9c09dc17e70de01dee8ffce26d60609e3 /sys-cluster
parent1160c54c5acbfd332d8757e926627ae58c982459 (diff)
downloadbaldeagleos-repo-ba90b749802640220d8dabc00ab63881741a230e.tar.gz
baldeagleos-repo-ba90b749802640220d8dabc00ab63881741a230e.tar.xz
baldeagleos-repo-ba90b749802640220d8dabc00ab63881741a230e.zip
Adding metadata
Diffstat (limited to 'sys-cluster')
-rw-r--r--sys-cluster/pmix/Manifest1
-rw-r--r--sys-cluster/pmix/pmix-6.1.0.ebuild60
-rw-r--r--sys-cluster/prrte/Manifest3
-rw-r--r--sys-cluster/prrte/prrte-3.0.13.ebuild50
-rw-r--r--sys-cluster/prrte/prrte-4.1.0.ebuild (renamed from sys-cluster/prrte/prrte-3.0.6.ebuild)9
5 files changed, 118 insertions, 5 deletions
diff --git a/sys-cluster/pmix/Manifest b/sys-cluster/pmix/Manifest
index 49eb08b4308f..8d13dd66c564 100644
--- a/sys-cluster/pmix/Manifest
+++ b/sys-cluster/pmix/Manifest
@@ -3,3 +3,4 @@ DIST pmix-4.2.8.tar.bz2 4800886 BLAKE2B 49c6c74f2a3d4826ade004e2ca69f8adafb26232
DIST pmix-5.0.3.tar.bz2 5148447 BLAKE2B 3d885f1beb901a443d3a746eae2f4a7d28926e367c5054d3cbd7f971531390800899c0d3130c36b3880292f586bc2ff357c239c9ec6e26dbcd35a4535737f51c SHA512 d7930426f29d957440ebfbe6a8321d3146373b8880d61c57e719345dd467dbe3bd1495cb4942ac0c450da0e28cdd56aed71b32c0bdd6571a8abab85bf334596b
DIST pmix-5.0.4.tar.bz2 5445399 BLAKE2B 95fd3fa528dfc9e0ab9aa0f081c2fa1d3e82fe31b4856bdbc1af136043839d872889305d653e2bae981a3b3e8f9e502bf4f021e4f39dc2a02d82cf3c170862a2 SHA512 3ed372b201ba47ebb202a615b7818bf263e586ba7f2d21d27377e15e886e79a6fb38cb6b46ec84433ad90c6ce810e135ef45f9ec7a9cf93eded87205e65a97d5
DIST pmix-5.0.9.tar.bz2 10190355 BLAKE2B cf06ad8f9bc47ff9bbe7e796935cd1deb1a167dd927c4789bd31f235e932b47188f9f1f0f0bc929c8e6adb976a93604d1a4d989f7efd7a6f3ca915c1b9f4f44e SHA512 21a9d679f705e4e099c534b2a331a7cdf6d15ecc5d1860852691ef19a784e18e5b9baa352de533b3fe154248cdec07a372dfc81a11c8cd63cbc718c6a7f7ce18
+DIST pmix-6.1.0.tar.bz2 10804652 BLAKE2B 4947db8fc9ff087c07a3d0382ec34f4054c0a32153a16313d7fa52ab2b02d3285f63e66cc7886755dc6bc3361fbe75da82d95c5bb6b42ff20fd329061879e2f3 SHA512 84ced151871996f68b95f372b88879e51804fb04cfbad839962fe26e1b246515076c7d25b79bcc9382ff6eb4013f2c11d13d078e9547f8a381aa4a1b3fa5322c
diff --git a/sys-cluster/pmix/pmix-6.1.0.ebuild b/sys-cluster/pmix/pmix-6.1.0.ebuild
new file mode 100644
index 000000000000..ae078903d119
--- /dev/null
+++ b/sys-cluster/pmix/pmix-6.1.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit flag-o-matic libtool
+
+DESCRIPTION="The Process Management Interface (PMI) Exascale"
+HOMEPAGE="https://openpmix.org/"
+SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+# No support for 32-bit systems as of 4.2.8 (https://github.com/open-mpi/ompi/issues/11248)
+KEYWORDS="~amd64 ~arm64 ~ppc64 -x86"
+IUSE="debug +munge pmi"
+
+RDEPEND="
+ dev-libs/libevent:=
+ sys-apps/hwloc:=
+ virtual/zlib:=
+ munge? ( sys-auth/munge )
+ pmi? ( !sys-cluster/slurm )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ elibtoolize
+}
+
+src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://github.com/openpmix/openpmix/issues/3350
+ filter-lto
+
+ local myeconfargs=(
+ # These are alternatives. We must use the one in DEPEND, and also
+ # prevent automagic fallbacks.
+ --with-libevent
+
+ # tries to build both zlib and zlib-ng
+ --without-zlibng
+
+ --enable-ipv6
+ $(use_enable debug)
+ $(use_with munge)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+
+ # bug #884765
+ mv "${ED}"/usr/bin/pquery "${ED}"/usr/bin/pmix-pquery || die
+}
diff --git a/sys-cluster/prrte/Manifest b/sys-cluster/prrte/Manifest
index 19a9875e809c..63b7232d6335 100644
--- a/sys-cluster/prrte/Manifest
+++ b/sys-cluster/prrte/Manifest
@@ -1,3 +1,4 @@
DIST prrte-3.0.12.tar.gz 10324635 BLAKE2B 36c638bef25a8dd2011ebef802c41ec05557bfa4f56139567f70d7a2a7a0e40d35b618e55e477fec4b2af4209bd47583baeb996fd9b4e5a12529e55326474056 SHA512 3a6ee3907e232078bcd2e82585e76e58577f1f2896ae0025fed6c32781b522bd20dff95509ad38625ac395f038002d737c054858fa9445e042971bce7c41f266
-DIST prrte-3.0.6.tar.gz 5976755 BLAKE2B 62cff51ebb7e72c32a237eb36db925f5bf5811cf5f409619128fa8ef490d3ba9e6ba4a1701edd21486878974088ff17645c98dab12904abd48c4a4b50453f807 SHA512 f7d3a1bedc0029fcb0e4e906a099d1de07b171805f0cc8d6e443826b8c321e3d5e7fa80867d8ab9ae1f628446a1a8f663231d8b67e243650582225805adc6e9d
+DIST prrte-3.0.13.tar.gz 10440144 BLAKE2B df6c72f3767cffb697579a3ff02e367230ee627cc3ba5f0353583642cac133696178b99bbd6534c1680aa27c5ce8c2dea522b4aaf2a51fc935e1624ee576326c SHA512 01101cd3de80c0a3c34eabc1fd276ae6b9d51ad82ea5b2ba34fad616a429d8bb021d7448f9d83e3f41ce6208521c055d51fecbe00b2bf53e7821780959a31dcd
DIST prrte-3.0.7.tar.gz 5592294 BLAKE2B e12133f2d6515620bce639faa1b439947a5fd50bfdbf5d0c855e9ce138b82da452776bb92a326dcfe1b2b43be8b31dade528f0230b40ad5b38586ca6c0ee5c42 SHA512 34b032ba461d095d549af0580fa7366290cdb54c22056dad71a24c85a6dcbd3614f69bc01892a8b2505f406ae728f6d7520a0f03a597ee0ab0208091d5319e18
+DIST prrte-4.1.0.tar.gz 10492727 BLAKE2B 396a94cf0186138729c71eac73434b7e34cc56df9099fb6add3570296ad8d1c55f0156da489a2f099e4f12507c68633ae1dec4b330a330979d9e49840784acdd SHA512 7754f427a33552c61ee711c1e2ac57740c44b47eb36dafdb8945ff5c77206373e65202113c2cffe1f565377e8d255acdd99728dd70fe24e420a9e003910e5247
diff --git a/sys-cluster/prrte/prrte-3.0.13.ebuild b/sys-cluster/prrte/prrte-3.0.13.ebuild
new file mode 100644
index 000000000000..afcc9494ab08
--- /dev/null
+++ b/sys-cluster/prrte/prrte-3.0.13.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic libtool
+
+DESCRIPTION="PMIx Reference RunTime Environment"
+HOMEPAGE="https://openpmix.org/"
+SRC_URI="https://github.com/openpmix/prrte/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+
+# <sys-cluster/prrte-4.0.0 has a file conflict with net-misc/putty
+# we block this here so the block is dropped when this version leaves the tree.
+DEPEND="
+ !net-misc/putty
+ dev-libs/libevent:=
+ sys-apps/hwloc:=
+ >=sys-cluster/pmix-4.2.4:=
+ <sys-cluster/pmix-6.0.0
+"
+RDEPEND="${DEPEND}"
+
+# Tests are only in the repo, not in release tarballs
+# They also seem to be just examples
+RESTRICT="test"
+
+src_prepare() {
+ default
+ elibtoolize
+}
+
+src_configure() {
+ # -Werror=lto-type-mismatch
+ #
+ # Same issue as its companion project sys-cluster/pmix, and logically
+ # solvable in tandem (or never).
+ # https://github.com/openpmix/openpmix/issues/3350
+ filter-lto
+
+ econf
+}
+
+src_install() {
+ default
+ find "${ED}" -type f -name '*.la' -delete || die
+}
diff --git a/sys-cluster/prrte/prrte-3.0.6.ebuild b/sys-cluster/prrte/prrte-4.1.0.ebuild
index 6790ea5231fa..3cb08ca1d69a 100644
--- a/sys-cluster/prrte/prrte-3.0.6.ebuild
+++ b/sys-cluster/prrte/prrte-4.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2024-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -6,7 +6,7 @@ EAPI=8
inherit flag-o-matic libtool
DESCRIPTION="PMIx Reference RunTime Environment"
-HOMEPAGE="https://openpmix.github.io/"
+HOMEPAGE="https://openpmix.org/"
SRC_URI="https://github.com/openpmix/prrte/releases/download/v${PV}/${P}.tar.gz"
LICENSE="BSD"
@@ -16,11 +16,12 @@ KEYWORDS="~amd64 ~arm64 ~ppc64"
DEPEND="
dev-libs/libevent:=
sys-apps/hwloc:=
- >=sys-cluster/pmix-4.2.4
+ >=sys-cluster/pmix-6.1.0:=
"
RDEPEND="${DEPEND}"
-# There is no testsuite at least today.
+# Tests are only in the repo, not in release tarballs
+# They also seem to be just examples
RESTRICT="test"
src_prepare() {